# Protocols

The following protocols are available globally.

### PendingFirstTimeEvent

- `MixpanelFlagDelegate`

  Undocumented

  See more

  #### Declaration

  Swift

      public protocol MixpanelFlagDelegate : AnyObject

- `MixpanelFlags`

  A protocol defining the public interface for a feature flagging system.

  See more

  #### Declaration

  Swift

      public protocol MixpanelFlags

- `MixpanelProxyServerDelegate`

  Delegate protocol for updating the Proxy Server API’s network behavior.

  See more

  #### Declaration

  Swift

      public protocol MixpanelProxyServerDelegate : AnyObject

- `MixpanelDelegate`

  Delegate protocol for controlling the Mixpanel API’s network behavior.

  See more

  #### Declaration

  Swift

      public protocol MixpanelDelegate : AnyObject

- `MixpanelLogging`

  Any object that conforms to this protocol may log messages

  See more

  #### Declaration

  Swift

      public protocol MixpanelLogging

- `MixpanelType`

  Property keys must be String objects and the supported value types need to conform to MixpanelType. MixpanelType can be either String, Int, UInt, Double, Float, Bool, [MixpanelType], [String: MixpanelType], Date, URL, or NSNull. Numbers are not NaN or infinity

  See more

  #### Declaration

  Swift

      public protocol MixpanelType

© 2026 Mixpanel. All rights reserved. (Last updated: 2026-03-17)

Generated by jazzy ♪♫ v0.15.4, a Realm project.